/*---------------------------------------------------------------------------*/
//       Author : hiyohiyo
//         Mail : hiyohiyo@crystalmark.info
//          Web : http://crystalmark.info/
//      License : The modified BSD license
//
//                                Copyright 2002- hiyohiyo All rights reserved.
/*---------------------------------------------------------------------------*/

#include "stdafx.h"
#include "crystalcpuid.h"
#include "QueryPerformanceDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CQueryPerformanceDlg 


CQueryPerformanceDlg::CQueryPerformanceDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CQueryPerformanceDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CQueryPerformanceDlg)
	m_QueryPerformance = _T("");
	//}}AFX_DATA_INIT
}


void CQueryPerformanceDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CQueryPerformanceDlg)
	DDX_Text(pDX, IDC_QUERY_PERFORMANCE, m_QueryPerformance);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CQueryPerformanceDlg, CDialog)
	//{{AFX_MSG_MAP(CQueryPerformanceDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CQueryPerformanceDlg 

BOOL CQueryPerformanceDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	

	LARGE_INTEGER QPF;
	CString cstr;
	QueryPerformanceFrequency(&QPF);
	m_QueryPerformance.Format("%f MHz",QPF.QuadPart / 1000.0 / 1000.0);

	UpdateData( FALSE );

	return TRUE;
}
